cbc:
  system:
    display: "System Config"
    sort: 1
    list:
      - name: "name"
        type: "string"
        value: "CBC"
        access: "read-write"
        filter: "0~64"
        display: "CBC Name"
        comment: ""
      - name: "instance"
        type: "string"
        value: "CBC-001"
        access: "read-write"
        filter: "0~64"
        display: "NF Instance"
        comment: ""
      - name: "sbiIp"
        type: "string"
        value: "127.0.0.1"
        access: "read-write"
        filter: "0~64"
        display: "SBI Server IP"
        comment: ""
      - name: "sbiPort"
        type: "int"
        value: "9090"
        access: "read-write"
        filter: "0~65535"
        display: "SBI Server Port"
        comment: "0~65535"
      - name: "sbiScheme"
        type: "enum"
        value: "0"
        access: "read-write"
        filter: '{"0":"http","1":"https"}'
        display: "SBI Scheme"
        comment: "http or https"

  amfProfile:
    display: "AMF Profile"
    sort: 3
    array:
      - name: "index"
        type: "int"
        value: "0"
        access: "read-only"
        filter: "0~15"
        display: "Index"
        comment: "0~15"
      - name: "name"
        type: "string"
        value: "AMF"
        access: "read-write"
        filter: "0~64"
        display: "NF Name"
        comment: ""
      - name: "uri"
        type: "string"
        value: "http://172.16.5.130:8080"
        access: "read-write"
        filter: "0~64"
        display: "AMF URI"
        comment: ""
      - name: "plmnId"
        type: "regex"
        value: "00101"
        access: "read-write"
        filter: "^[0-9]{5,6}$"
        display: "PLMN ID"
        comment: ""
      - name: "tac"
        type: "string"
        value: "1"
        access: "read-write"
        filter: "0~8"
        display: "TAC"
        comment: "0~16777215"

  mmeProfile:
    display: "MME Profile"
    sort: 5
    array:
      - name: "index"
        type: "int"
        value: "0"
        access: "read-only"
        filter: "0~15"
        display: "Index"
        comment: "0~15"
      - name: "name"
        type: "string"
        value: "MME"
        access: "read-write"
        filter: "0~64"
        display: "NF Name"
        comment: ""
      - name: "uri"
        type: "string"
        value: "sctp://192.168.1.1:9090"
        access: "read-write"
        filter: "0~64"
        display: "MME URI"
        comment: ""
      - name: "plmnId"
        type: "regex"
        value: "00101"
        access: "read-write"
        filter: "^[0-9]{5,6}$"
        display: "PLMN ID"
        comment: ""
      - name: "tac"
        type: "string"
        value: "1"
        access: "read-write"
        filter: "0~8"
        display: "TAC"
        comment: "0~16777215"
